package tiktok_api

import (
	"fmt"
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals"
	"testing"
)

//运力呼叫询价（正向）
func TestGetDispatcherInfo(t *testing.T) {
	dispatcherFee, err := a.GetDispatcherInfo(62490423, "5016940182798690015", 1)
	fmt.Println(dispatcherFee)
	fmt.Println(err)
}

func TestCancelWaybill(t *testing.T) {
	err := a.ShopOrderDispatcher(64269925, "6923932363316401710", DispatcherFeeTypeCancel)
	fmt.Println(err)
}

func TestGetShipmentInfo(t *testing.T) {
	data, err := a.GetShipmentInfo(6923516654669862544, 0, ShipmentTypeInvoice)
	globals.SugarLogger.Debugf("======data := %s", utils.Format4Output(data, false))
	globals.SugarLogger.Debugf("======data := %s", utils.Format4Output(err, false))
}

type tete struct {
	ids  []int64
	name string
}

func TestGetStoreAutoCallRiderInfo(t *testing.T) {
	a.GetStoreAutoCallRiderInfo(64212030)
}
